y = ABS(x); Returns the absolute value of its argument.
y = ATAN(x); Computes the inverse tangent.
z = ATAN2(y,x); Computes the angle between the positive x axis and the ray which originates at (0,0) and passes through (x,y).
{ b,z } = BALANCE(x); Balances a square matrix.
y = BESSELJ(n,x); Computes Bessel function of the first kind, Jn(x).
y = BESSELY(n,x); Computes Bessel function of the second kind, Yn(x).
a = band(y,n); Extracts bands from a symmetric banded matrix.
l = BANDCHOL(a); Computes the Cholesky decomposition of a positive definite banded matrix.
x = BANDCHOLSOL(b,l); Solves the system of equations Ax = b for x, given the lower triangle of the Cholesky decomposition of a positive definite
x = BANDLTSOL(b,A); Solves the system of equations Ax = b for x, where A is a lower triangular banded matrix.
y = BANDRV(a); Creates a symmetric banded matrix, given its compact form.
x = BANDSOLPD(b,A); Solves the system of equations Ax = b for x, where A is a positive definite banded matrix.
BREAK; Used to break out of a DO loop.
CALL function_name(argument_list); CALL function_name; Used to call a function or procedure when the returned value is not needed and can be ignored, or when the procedure is defined
CALLEXE [/r] func(args); Used to call functions written in another language.
y = CDFBETA(x,a,b); Computes the incomplete beta function (i.e. the cumulative distribution function of the beta distribution).
c = CDFBVN(h,k,r); Computes the cumulative distribution function of the standardized bivariate normal density (lower tail).
y = CDFCHIC(x,n); Computes the complement of the cdf of the chi-square distribution.
y = CDFFC(x,n1,n2); Computes the complement of the cdf of the F distribution.
g = CDFGAM(x,intlim); Incomplete gamma function.
y = CDFN(x); Computes the cumulative distribution function (cdf) of the normal distribution.
y = CDFNC(x); Computes the complement of the cdf of the normal distribution.
x = CDFNI(p); Computes the inverse of the cdf of the normal distribution.
y = CDFTC(x,n); Computes the complement of the Student's t cdf.
x = CDFTCI(p,n); Computes the inverse of the complement of the Student's t cdf.
c = CDFTVN(x1,x2,x3,rho12,rho23,rho31); Computes the cumulative distribution function of the standardized trivariate normal density (lower tail).
y = CDIR(s); Returns the current directory.
y = CEIL(x); Round up toward positive infinity.
y = CHOL(x); Computes the Cholesky decomposition of a symmetric, positive definite matrix.
r = CHOLDN(C,x); Performs a Cholesky downdate of one or more rows on an upper triangular matrix.
x = CHOLSOL(b,C); Solves a system of linear equations given the Cholesky factorization of the system.
r = CHOLUP(C,x); Performs a Cholesky update of one or more rows on an upper triangular matrix.
y = CHRS(x); Converts a matrix of ASCII values into a string containing the appropriate characters.
CLEAR arg1[,arg2...]; Clears space in memory by setting matrices equal to scalar zero.
CLEARG arg1[,arg2...]; Clears global symbols by setting them equal to scalar zero.
y = CLOSE(fh); Closes a file.
CLOSEALL; CLOSEALL lofh; Closes all currently open files.
CLS; Clear the screen.
y = COLOR(cv); Set pixel, text and background color.
y = COLS(x); Returns the number of columns in a matrix.
y = COLSF(f1); Returns the number of columns in a data (.DAT) file or matrix (.FMT) file.
COMLOG [FILE = filename] [ON or RESET or OFF]; Controls logging of interactive commands to a file.
COMPILE source gcgfile; Compiles a program to disk in a .GCG file.
y = COMPLEX(xr,xi); Creates a complex matrix from two real matrices.
x = CON(r,c); Requests input from the keyboard (console) and returns it in a matrix.
y = CONJ(x); Returns the complex conjugate of a matrix.
x = CONS; Requests input from the keyboard (console) and puts it into a string.
CONTINUE; Jumps to the top of a DO loop.
c = CONV(b,x,f,l); Computes the convolution of two vectors.
y = CORELEFT; Returns the amount, in bytes, of free workspace memory.
y = COS(x); Returns the cosine of its argument.
c = COUNTS(x,v); Counts the number of elements of a vector that fall into specified ranges.
CREATE [COMPLEX] fh = fname WITH vnames,col,typ; CREATE [COMPLEX] fh = fname USING comfile; Creates and opens a data set for subsequent writing.
y = CROUT(x); Computes the Crout decomposition of a square matrix without row pivoting, such that X = L * U.
y = CROUTP(x); Computes the Crout (LU) decomposition of a square matrix with partial (row) pivoting.
y = CSRCOL; Returns the column position of the cursor.
y = CSRLIN; Returns the row position of the cursor.
y = CSRTYPE(x); Sets the cursor type.
y = DATE; Returns the current date.
DECLARE [type] symbol [aop clist]; Initializes matrices, string arrays, and strings AT COMPILE TIME.
DEBUG filename; Run a program under the source level debugger.
DELETE [/flags] [symbol1,symbol2,...]; Deletes symbols from the global symbol table.
y = DET(x); Returns the determinant of a square matrix.
y = DETL; Returns the determinant of the last matrix that was passed to one of the intrinsic matrix decomposition routines.
y = DFREE(drive); Returns the amount of room left on a diskette or hard disk.
y = DIAG(x); Creates a column vector from the diagonal of a matrix.
y = DIAGRV(x,v); Inserts a vector into the diagonal of a matrix.
DISABLE; Disables the invalid operation interrupt of the numeric processor.
DO [WHILE or UNTIL] scalar_expression; /* Code to be executed in loop */ Allows code to be executed in a loop.
DOS; DOS s; Provides access to DOS 3.1 (or above) from within GAUSS.
ED filename; Accesses an alternate editor.
EDIT d:filename Edits a disk file.
y = EDITM(x); To edit a matrix. This has been superseded by MEDIT.
va = EIG(x); Compute the eigenvalues of a general matrix.
va = EIGH(x); Compute the eigenvalues of a symmetric or complex hermitian matrix.
{ va,ve } = EIGHV(x); Compute the eigenvalues and eigenvectors of a symmetric or complex hermitian matrix.
{ va,ve } = EIGV(x); Compute the eigenvalues and eigenvectors of a general matrix.
IF scalar_expression; Controls conditional branching.
ENABLE; Enables the invalid operation interrupt of the numeric processor.
END; Terminates a program.
ENDP; Closes a procedure definition.
y = ENVGET(s); Searches the DOS environment for a defined name.
y = EOF(fh); Tests if the end of a file has been reached.
y = ERF(x); Computes the Gaussian error function.
y = ERFC(x); Computes the complement of the Gaussian error function.
y = ERROR(x); Allows the user to generate a user-defined error code which can be tested quickly with the SCALERR function.
ERRORLOG str; Prints an error message to the screen and error log file.
y = EXEC(program,comline); Executes an .EXE or .COM program and returns the exit code.
y = EXP(x); Calculates the exponential function.
EXTERNAL PROC dog,cat; EXTERNAL FN dog; To let the compiler know about symbols that are referenced above or in a separate file from their definitions.
y = EYE(n); Creates an identity matrix.
err = FCHECKERR(f); Gets the error status of a file.
err = FCLEARERR(f); Gets the error status of a file, then clears it.
ret = FFLUSH(f); Flushes a file's output buffer.
y = FFT(x); Computes a complex 1- or 2-D FFT.
y = FFTI(x); Computes an inverse complex 1- or 2-D FFT.
y = FFTN(x); Computes a complex 1- or 2-D FFT.
str = FGETS(f,maxsize); Reads a line of text from a file.
sa = FGETSA(f,numl); Reads lines of text from a file into a string array.
sa = FGETSAT(f,numl); Reads lines of text from a file into a string array.
str = FGETST(f,maxsize); Reads a line of text from a file.
y = FILES(str,a); Returns a matrix of file names matching a given specification.
y = FLOOR(x); Rounds down toward negative infinity.
r = FMOD(x,y); Computes the floating-point remainder.
FN fn_name(args) = code_for_function; Allows user to create one-line functions.
f = FOPEN(filename,omode); Opens a file.
FORMAT [/typ] [/fmted] [/mf] [/jnt] [fld,prec]; Sets the output format for matrices, string arrays, and strings printed out with PRINT or LPRINT statements.
numl = FPUTS(f,sa); Writes strings to a file.
numl = FPUTST(f,sa); Writes strings to a file.
ret = FSEEK(f,offs,base); Positions the file pointer in a file.
s = FSTRERROR; Returns an error message explaining the cause of the most recent file I/O error.
pos = FTELL(f); Gets the position of the file pointer in a file.
y = FTOCV(x,field,prec); Converts a matrix containing floating point numbers into a matrix containing the text representation of each number.
y = FTOS(x,fmat,field,prec); Converts a floating point number into a string containing the text representation of that number.
y = GAMMA(x); Returns the value of the gamma function.
y = GETF(filename,mode); Loads an ASCII or binary file into a string.
y = GETNAME(dataset); Returns a column vector containing the names of the variables in a data set.
GOSUB label; Causes a branch to a subroutine.
GOTO label; Causes a branch to a label.
GRAPH x,y; Graphs two matrices, taking the horizontal component of the graph from one matrix and the vertical component from the other.
y = HASIMAG(x); Tests whether the imaginary part of a complex matrix is negligible.
{ h,z } = HESS(x); Computes the upper Hessenberg form of a square matrix.
y = HSEC; Returns the number of hundredths of a second since midnight.
IF scalar_expression; list of statements; Controls program flow with conditional branching.
y = IMAG(x); Returns the imaginary part of a complex matrix.
z = INDCV(what,where); Checks one character vector against another and returns the indices of the elements of the first vector in the second vector.
z = INDNV(what,where); Checks one numeric vector against another and returns the indices of the elements of the first vector in the second vector.
y = INV(x); INV returns the inverse of an invertible matrix.
y = INVPD(x); INVPD returns the inverse of a symmetric, positive definite matrix.
y = INVSWP(x); Computes a generalized sweep inverse.
y = ISCPLX(x); Returns 1 if a matrix is complex, 0 otherwise.
y = ISCPLX(fh); Returns 1 if a file is complex, 0 otherwise.
y = ISMISS(x); Returns a 1 if its matrix argument contains any missing values, otherwise returns a 0.
y = KEY; Returns the ASCII value of the next key available in the keyboard buffer.
k = KEYW; Returns the ASCII value of the next key available in the keyboard buffer. Waits for a key if none is available.
KEYWORD keyword_name(string); Allows users to define their own keywords.
1. LET [type] x = { const_list }; 2. LET [type] x[r,c] = const_list; Initializes matrices, string arrays, and strings.
LIB library [file] [flag1 flag2 ...]; Builds and updates library files.
LIBRARY [lib1,lib2,...]; Specifies the list of active libraries.
LINE x[,y]; Draws lines on the graphics screen.
y = LN(x); Computes the natural log of all elements of a matrix.
1. LOAD x; 2. LOAD y[] = filename; Loads a matrix from an ASCII matrix file or a .FMT file.
LOADEXE [PATH = lpath] buff = filename; Loads foreign language code that has been put into a .REX file so it can be called using the CALLEXE command.
1. LOADF f; 2. LOADF f = filename; Loads a user-defined function from a disk file.
1. LOADK k; 2. LOADK k = filename; Loads a user-defined keyword from a disk file.
1. LOADM x; 2. LOADM y[] = filename; Loads a matrix from an ASCII matrix file or a .FMT file.
1. LOADP p; 2. LOADP p = filename; Loads a user-defined procedure from a disk file.
1. LOADS s; 2. LOADS s = filename; Loads a string from a disk file.
LOCAL x,y, f:proc; Declare variables that are to exist only inside a procedure.
LOCATE m,n; Positions the cursor on the screen.
y = LOG(x); Computes the log base 10 of all elements of a matrix.
y = LOWER(x); Converts a string or character matrix to lower case.
y = LPOS; Returns the current position of the print head within the printer buffer for LPT1.
LPRINT [/typ] [/fmted] [/mf] [/jnt] [list_of_expressions][;]; Prints matrices, string arrays, and strings to the standard printer, LPT1.
LPWIDTH n; Specifies the width of the printer.
LSHOW [/flags] [symbol]; Displays the global symbol table and directs it to LPT1.
x = LTRISOL(b,L); Computes the solution of L x = b where L is a lower triangular matrix.
{ L,U } = LU(x); Computes the LU decomposition of a square matrix with partial (row) pivoting.
x = LUSOL(b,L,U); Computes the solution of L U x = b where L is a lower triangular matrix and U is an upper triangular matrix.
y = MAXC(x); Returns a column vector containing the largest element in each column of a matrix.
y = MAXINDC(x); Returns a column vector containing the index (i.e. row number) of the maximum element in each column of a matrix.
y = MEANC(x); Computes the mean of every column of a matrix.
y = MINC(x); Returns a column vector containing the smallest element in each column of a matrix.
y = MININDC(x); Returns a column vector containing the index (i.e. row number) of the smallest element in each column of a matrix.
y = MISS(x,v); Converts specified elements in a matrix to GAUSS's missing value code.
y = MISSRV(x,v); Converts missing values into specified values.
y = MOMENT(x,d); Computes a cross-product matrix. This is the same as x'x.
MSYM str; Allows the user to set the symbol that GAUSS uses when missing values are converted to ASCII and vice versa.
y = NDPCHK(mask); Examines the status of the 80x87 Numeric Data Processor to see if any exceptions have been generated.
NDPCLEX; Clears the 80x87 Numeric Data Processor exception flags.
y = NDPCNTRL(new,mask); To get and set the 80x87 Numeric Data Processor control word.
NEW [nos [,mps]]; Erases everything in memory including the symbol table; closes all open files, closes the auxiliary output and turns the screen on if
y = ONES(r,c); Creates a matrix of ones.
OPEN fh = filename [FOR mode]; Opens an existing data set.
OUTPUT [FILE = filename] [ON or RESET or OFF]; Directs the auxiliary output of PRINT commands to a file or device.
OUTWIDTH n; Specifies the width of the auxiliary output.
Formats: y = PACKR(x); Deletes the rows of a matrix that contain any missing values.
y = PDFN(x); Computes the standard normal probability density function.
y = PI; Plots the elements of two matrices against each other in textPurpose: Returns the (scalar) mathematical constant pi.
PLOT x,y; Returns the (scalar) mathematical constant pi.
PLOTSYM n; Controls the symbol or character to be plotted by PLOT.
POP b; POP a; Provides access to a last-in, first-out stack for matrices.
PRCSN n; Allows the computational precision of some of the matrix operators to be changed.
PRINT [/typ] [/fmted] [/mf] [/jnt] [list_of_expressions][;]; Prints matrices, string arrays, and strings to the screen and/or auxiliary output.
PRINTDOS str; Prints a string to the DOS standard output using DOS interrupt 21 hex, function 9.
y = PRINTFM(x,mask,fmt); Prints a matrix, using a different format for each column.
Format strings: | Example: /RDN "*.*lf" /LDN "- *.*lf" | fmt = { "*.*lf" 8 3, Prints a matrix, using a different format for each column.
PROC (number of returns) = NAME(arg list); LOCAL local variables; Begins the definition of a procedure.
y = PRODC(x); Computes the products of all elements in each column of a matrix.
y = RANKINDX(x,flag); Returns the vector of ranks (rank index) of a vector.
y = READR(f1,r); Reads a specified number of rows of data from a data (.DAT) file or a matrix (.FMT) file.
y = REAL(x); Returns the real part of a complex matrix.
y = RECSERAR(x,y0,a); Computes a vector of "autoregressive" recursive series.
y = RECSERCP(x,z); Computes a recursive series involving products. (cumulative products, polynomial evaluation).
y = RESHAPE(x,r,c); Reshapes a matrix, string array, or string.
RETP(x); Returns from a procedure.
RETURN; RETURN(x,y,z); Returns from a subroutine.
y = REV(x); Reverses the order of the rows in a matrix.
y = RFFT(x); Computes a real 1- or 2-D FFT.
y = RFFTI(x); Computes an inverse real 1- or 2-D FFT.
y = RFFTIP(x); Computes an inverse real 1- or 2-D FFT. Takes a packed format FFT as input.
y = RFFTN(x); Computes a real 1- or 2-D FFT.
y = RFFTNP(x); Computes a real 1- or 2-D FFT. Returns the results in a packed format.
y = RFFTP(x); Computes a real 1- or 2-D FFT. Returns the results in a packed format.
RNDCON c; Resets the constant parameter of the uniform and normal random number generators.
RNDMOD m; Resets the modulus parameter of the uniform and normal random number generators.
RNDMULT a; Resets the multiplier parameter of the uniform and normal random number generators.
y = RNDN(r,c); Creates a matrix of standard normal (pseudo) random numbers.
y = RNDNS(r,c,s); An alternate way of generating normal random numbers using a seed value as one of the arguments.
RNDSEED seed; Resets the seed parameter of the uniform and normal random number generators.
y = RNDU(r,c); Creates a matrix of uniform (pseudo) random variables.
y = RNDUS(r,c,s); An alternate way of generating uniform random numbers using a seed value as one of the arguments.
y = ROTATER(x,r); Rotates the rows of a matrix.
y = ROUND(x); Round to the nearest integer.
y = ROWS(x); Returns the number of rows in a matrix.
y = ROWSF(f); Returns the number of rows in a data (.DAT) or matrix (.FMT) file.
RUN filename; Runs a source code or compiled code program.
SAVE [PATH = dpath] x, [lpath = ] y; Saves symbols to a disk file.
SAVEALL gcg_filename; Saves the contents of the workspace to a .GCG file.
y = SCALERR(c); Tests for a scalar error code.
y = SCALMISS(x); Tests to see if its argument is a scalar missing value.
{ s,z } = SCHUR(x); Computes the Schur form of a square matrix.
SCREEN ON; SCREEN OFF; Controls output to the screen.
SCROLL v; Scrolls a rectangular region of the screen.
y = SEEKR(f1,r); Moves the pointer in a .DAT or .FMT file to a particular row.
y = SEQA(start,inc,n); Creates an additive sequence.
y = SEQM(start,inc,n); Creates a multiplicative sequence.
y = SETVMODE(mode); Sets the video mode.
y = SHIFTR(x,s,f); Shifts the rows of a matrix.
SHOW [/flags] [symbol]; Displays the global symbol table.
y = SIN(x); Computes the sine of its argument.
unslept = SLEEP(secs); Sleep for a specified number of seconds.
x = SOLPD(b,A); Solves a set of positive definite linear equations.
y = SORTC(x,c); Sorts a matrix of numeric data.
y = SORTCC(x,c); Sorts a character matrix or string array.
y = SORTHC(x,c); Sorts a matrix of numeric data.
y = SORTHCC(x,c); Sorts a character matrix or string array.
ind = SORTIND(x); Returns the sorted index of a numeric vector.
ind = SORTINDC(x); Returns the sorted index of a character vector.
y = SQRT(x); Computes the square root of every element in a matrix.
y = STDC(x); Computes the standard deviation of the elements in each column of a matrix.
y = STOF(x); Converts a string to a floating point number.
STOP; Terminates a program without closing files.
y = STRINDX(where,what,start); Finds the index of one string within another string.
y = STRLEN(x); Returns the length of a string.
y = STRRINDX(where,what,start); Finds the index of one string within another string. Searches from the end of the string to the beginning.
y = STRSECT(str,start,len); Extracts a substring of a string.
y = SUBMAT(x,r,c); Extracts a submatrix of a matrix, with the appropriate rows and columns given by the elements of matrices.
y = SUMC(x); Computes the sum of each column of a matrix.
{ u,s,v } = SVDCUSV(x); Computes the singular value decomposition of a matrix so that: x = u*s*v' (compact u).
s = SVDS(x); Computes the singular values of a matrix.
{ u,s,v } = SVDUSV(x); Computes the singular value decomposition of a matrix so that: x = u*s*v'.
vi = SYSSTATE(1,0); Returns the current GAUSS version information.
oldpath = SYSSTATE(case,path); Get or set GAUSS system paths.
oldstate = SYSSTATE(8,state); Controls automatic generation of complex numbers in SQRT, LN, and LOG for negative arguments.
oldtrail = SYSSTATE(9,trail); Get and set trailing character for the imaginary part of a complex number.
oldwidth = SYSSTATE(10,width); Get and set LPRINT width.
oldwidth = SYSSTATE(11,width); Get and set the auxiliary output width.
oldprec = SYSSTATE(12,prec); Get and set precision for positive definite matrix routines.
oldtol = SYSSTATE(13,tol); Get and set singularity tolerance for LU decomposition.
oldtol = SYSSTATE(14,tol); Get and set singularity tolerance for Cholesky decomposition.
oldstate = SYSSTATE(15,state); Get and set screen state as controlled by SCREEN command.
oldmode = SYSSTATE(16,mode); Get and set automatic PRINT mode.
oldmode = SYSSTATE(17,mode); Get and set automatic LPRINT mode.
{ state,name } = SYSSTATE(18,dummy); Get auxiliary output parameters.
oldfmt = SYSSTATE(19,fmt); Get and set PRINT format parameters.
oldtol = SYSSTATE(21,tol); Get and set the imaginary tolerance.
oldpath = SYSSTATE(22,path); Get and set the path the compiler will search for source files.
oldstate = SYSSTATE(27,state); Controls comparison of missings.
SYSTEM; SYSTEM c; Terminates GAUSS and returns to DOS.
TAB(col); Tab the cursor to a specified text column.
y = TAN(x); Returns the tangent.
tname = TEMPNAME(path,pre,ext); Creates a temporary file with a unique name.
y = TIME; Returns the current system time.
TRACE new; TRACE new, mask; Allows the user to trace program execution for debugging purposes.
TRAP new; TRAP new,mask; Sets the trap flag to enable or disable trapping of numerical errors.
y = TRAPCHK(m); Tests the value of the trap flag.
y = TRIMR(x,t,b); Trims rows from the top and/or bottom of a matrix.
y = TRUNC(x); Converts numbers to integers by truncating the fractional portion.
t = TYPE(x); Returns the symbol table type of the argument.
y = TYPECV(x); Returns the symbol types of objects whose names are given as a string or as elements of a character vector.
y = TYPEF(fp); Returns the type of data (the number of bytes per element) in a data set.
y = UNION(v1,v2,flag); Returns the union of two vectors, with duplicates removed.
index = UNIQINDX(x,flag); Computes the sorted index of a vector, leaving out duplicate elements.
y = UNIQUE(x,flag); Sorts and removes duplicate elements from a vector.
y = UPPER(x); Converts a string or matrix of character data to upper case.
USE gcgfile; Loads a .GCG fle at the beginning of the compilation of a source program.
x = UTRISOL(b,U); Computes the solution of U x = b where U is an upper triangular matrix.
y = VALS(s); Converts a string into a matrix of its ASCII values.
y = VARGET(s); Accesses a global variable whose name is given as a string argument.
y = VARGETL(s); Accesses a local variable whose name is given as a string argument.
y = VARPUT(x,n); Allows a matrix or string to be assigned to a global symbol whose name is given as a string argument.
y = VARPUTL(x,n); Allows a matrix or string to be assigned to a local symbol whose name is given as a string argument.
y = VEC(x); Creates a column vector by stacking the columns of a matrix or string array on top of each other.
v = VECH(x); Vectorizes a symmetric matrix by retaining only the lower triangular portion of the matrix.
v = VECR(x); Creates a column vector by appending the rows of a matrix or string array to each other and transposing the result.
y = WRITER(fh,x); Writes a matrix to a data set.
x = XPND(v); Expands a column vector into a symmetric matrix.
y = ZEROS(r,c); Creates a matrix of zeros.
code [ $ ] newvar [ default defval ] with val for expression1, Creates new variables with different values based on a set of logical expressions.
DATALOOP infile outfile; Specifies the beginning of a data loop.
DELETE logical_expression; Removes specific rows in a data loop based on a logical expression.
DROP variable_list; Specifies columns to be dropped from the output data set in a data loop.
ENDATA; Specifies the end of a data loop.
EXTERN x, y, z, ...; Allows access to matrices or strings in memory from inside a data loop.
KEEP variable_list; Specifies columns (variables) to be saved to the output data set in a data loop.
LAG newvar1=var1:n1 [newvar2=var2:n2...]; Lags variables a specified number of periods.
LISTWISE [ READ ] [ WRITE ]; Controls listwise deletion of missing values.
MAKE [ # ] numvar = numeric_expression; Specifies the creation of a new variable within a data loop.
OUTTYP prec; Specifies the precision of the output data set.
Format recode [ $ ] var with val for expression1, Changes the value of a variable with different values based on a set of logical expressions.
SELECT logical_expression; Selects specific rows (observations) in a data loop based on a logical expression.
VECTOR [ # ] numvar = numeric_expression; Specifies the creation of a new variable within a data loop.
