/*
** Intro054.e
*/

/*** Procedures als argument ***/

/* Opdracht:---->
  >>  Bestudeer eerste het volgende voorbeeld:
Gegeven een dichtheidsfunctie, f(x;theta), berekent onderstaande
procedure LOGLIK de loglikelihood:
\[
LL = \som^{n}_{i=1} ln(f(x_{i};theta ))
\]
Let op de header van de procedure LogLik: hij specificeert precies
hoe de dichtheidsfunctie gedefinieerd moet worden!
(Hij maakt wel een beetje van een mug een olifant. Toch is het handig
dat de gebruiker direct ziet wat de dimensies van in- en uitvoer zijn.)
Voer daarna de volgende opdrachten uit:
   --  Schrijf de code weg naar "procpar.e".
   --   Schrijf de ontbrekende procedure "pdfnorm(x,theta)", de
dichtheidsfunctie van een normale verdeling, met "mu = theta[1,.]" en
"sigma2 = theta[2,.]". U kunt deze procedure achteraan toevoegen
aan "procpar.e" of als "pdfnorm.g" wegschrijven.
<---- */



/*
** PROCPAR.E: demo PROCedure als PARameter
*/

/* dimensions etc */
n = 20 ;
mu = 21 ;
s2 = 49 ;

/* the sample */
y = mu + sqrt(s2)*rndn(n,1) ;

/* test of the loglik procedure */
theta = { 15 20 25,49 49 49 } ;
theta ;
loglik(&pdfnorm,y,theta) ;

/*
** LOGLIK:
** purpose: loglik returns the loglikelihood, given a
**          density-function, f(x,theta), a sample x and
**          parameter-vector theta
** format:   LL = loglik(&f,X,theta) ;
** input:
**            f: procedure, which returns the density
**           X : (n x 1), the random sample
**        theta: (p x k)  matrix of parameter-vectors
** output:  LL : (k x 1), a vector of loglikelihoodvalues,
**               each value corresponding to a column of theta.
** globals: none
** remarks: the density function f should have the following syntax:
**          y = f(x,theta) where x,and theta have the above
**          dimensions, and y:(n x k ) with
**          y[i,j] = f(x[i],theta[.,j])
** Date:    23-7-1993
** Author:  Gerrit Draisma
*/
proc LogLik( &f,X,theta) ;
    local f:proc ;
    retp(sumc(ln(f(X,theta)))) ;
endp ;


        1
