======================== Publication Quality Graphics ========================
 The Publication Quality Graphics system allows the user the ability to generate
 graphs for analysis and/or publication. You can open multiple PQG windows, plot
 multiple graphs in each window, then print the contents of those windows. The
 following graph types are supported:
 
    XY          Graph X,Y using cartesian coordinate system
    LOGX        Graph X,Y using logarithmic X axis
    LOGY        Graph X,Y using logarithmic Y axis
    LOGLOG      Graph X,Y using logarithmic X and Y axes
    BAR         Generate bar graph
    HIST        Compute and graph frequency histogram
    HISTF       Graph a histogram given a vector of frequency counts
    HISTP       Graph a percent frequency histogram of a vector
    BOX         Graph data using the box graph percentile method
    XYZ         Graph X, Y, Z using 3D cartesian coordinate system
    SURFACE     Graph a 3D surface
    CONTOUR     Graph contour data
    DRAW        Supply additional graphic elements to graphs
 
 The following global variables and procedures are listed catagorcally:
 
                          Axes Control and Scaling
 
    _paxes         Turn axes on or off
    _pcrop         Control cropping of graphics data outside axes area
    _pcross        Controls where axes intersect
    _pframe        Draw a frame around 2D, 3D plots
    _pgrid         Control major and minor grid lines
    _pxpmax        Control precision of numbers on X axis
    _pypmax        Control precision of numbers on Y axis
    _pzpmax        Control precision of numbers on Z axis
    _pxsci         Control use of scientific notation on X axis
    _pysci         Control use of scientific notation on Y axis
    _pzsci         Control use of scientific notation on Z axis
    _pticout       Control direction of tic marks on axes
    SCALE          Scale X,Y axes on 2-D plots
    SCALE3D        Scale X,Y,Z axes for 3-D plots
    XTICS          Scale X axis and control tic marks
    YTICS          Scale Y axis and control tic marks
    ZTICS          Scale Z axis and control tic marks
 
                     Text, Labels, Titles, and Fonts
 
    _plegctl       Set location and size of plot legend
    _plegstr       Specify legend text entries
    _paxht         Control size of axes labels
    _pnumht        Control size of axes numbering
    _pnum          Axes number control and orientation
    _pdate         Date string contents and control
    _ptitlht       Control title size
    XLABEL         X axis label
    YLABEL         Y axis label
    ZLABEL         Z axis label
    TITLE          Specify main title for graph
    ASCLABEL       Define character labels for tic marks
    FONTS          Load fonts for labels, titles, messages and legend
    VIEW           Set 3D observer position in workbox units
    VIEWXYZ        Set 3D observer position in plot coordinates
    VOLUME         Sets length, width, and height ratios of 3D workbox
 
                      Main Curve Lines and Symbols
 
    _pboxctl       Control box plots
    _plctrl        Control main curve and data symbols
    _pcolor        Control line color for main curves
    _pltype        Control line style for main curves
    _plwidth       Control line thickness for main curves
    _pstype        Control symbol type
    _psymsiz       Control symbol size
    _pzclr         Z level color control for CONTOUR and 3D graphs
 
       Extra Messages, Symbols, Lines, Circles, Arrows, and Error Bars
 
    _parrow        Create arrows
    _parrow3       Create arrows for 3d graphs
    _pline         Plot extra lines and circles
    _pline3d       Plot extra lines for 3d graphs
    _psym          Plot extra symbols
    _psym3d        Plot extra symbols for 3d graphs
    _perrbar       Plot error bars
    _pmsgctl       Control position of message text
    _pmsgstr       Specify additional message text
 
                       Windows, Page, and Plot Control
 
    _pagesiz       Control size of graph for printer output
    _pageshf       Shift the graph for printer output
    _pbox          Draw a box (frame) around window using color
    _plotsiz       Control plot area size
    _plotshf       Control plot area position
    _protate       Rotate the graph 90 degrees
    AXMARGIN       Control of axes margins (axes lengths)
    MARGIN         Control graph margins
    BEGWIND        Window initialization procedure
    ENDWIND        End window manipulation, display graphs
    WINDOW         Create tiled windows of equal size
    MAKEWIND       Create window with specified size and position
    SETWIND        Set to specified window number
    NEXTWIND       Set to next available window number
    GETWIND        Get current window number
    SAVEWIN        Save window configuration to a file
    LOADWIN        Load a window configuration from a file
 
                            Output options
 
    _pnotify       Control interactive "draft" mode
    _pscreen       Control graphics output to screen
    _psilent       Control final beep
    _pzoom         Specify zoom parameters
    _ptek          Name of graphics .TKF file
    _pqgedit       Interactive mouse-driven graphics editor (optional)
    GRAPHPRT       Generate print or conversion file
 
                             Line Types
 
                   1  Dashed              4 Fine Dots
                   2  Dots                5 Dots and Dashes
                   3  Short Dashes        6 Solid
 
                             Symbol Types
 
                   1 - Circle             8 - Solid Circle
                   2 - Square             9 - Solid Square
                   3 - Triangle          10 - Solid Triangle
                   4 - Plus              11 - Solid Plus
                   5 - Diamond           12 - Solid Diamond
                   6 - Inverted Triangle 13 - Solid Inverted Triangle
                   7 - Star              14 - Solid Star
 
                             Color Values
 
                   0 - Black              8 - Dark Grey
                   1 - Blue               9 - Light Blue
                   2 - Green             10 - Light Green
                   3 - Cyan              11 - Light Cyan
                   4 - Red               12 - Light Red
                   5 - Magenta           13 - Light Magenta
                   6 - Brown             14 - Yellow
                   7 - Grey              15 - White
 
 All of the PQG functions operate within the context of a PQG window being the
 active window. WinOpenPQG and WinSetActive in the UNIX Supplement detail how to
 open a PQG window and make it the active window.
==============================================================================

